List files (OpenAI format)

Lists uploaded files.

Note: This endpoint also works without the /v1 prefix (e.g., /openai/files).

GET
/openai/v1/files
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Query Parameters

purpose?string

Filter by purpose

limit?integer

Maximum files to return

after?string

Cursor for pagination

order?string
Value in"asc" | "desc"
provider?string

Filter by provider

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/openai/v1/files?purpose=string&limit=0&after=string&order=asc&provider=string"
{
  "object": "string",
  "data": [
    {
      "id": "string",
      "object": "string",
      "bytes": 0,
      "created_at": 0,
      "filename": "string",
      "purpose": "batch",
      "status": "uploaded",
      "status_details": "string",
      "expires_at": 0
    }
  ],
  "has_more": true,
  "after": "string",
  "extra_fields": {
    "request_type": "string",
    "provider": "openai",
    "model_requested": "string",
    "model_deployment": "string",
    "latency": 0,
    "chunk_index": 0,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "string",
      "hit_type": "string",
      "requested_provider": "string",
      "requested_model": "string",
      "provider_used": "string",
      "model_used": "string",
      "input_tokens": 0,
      "threshold": 0,
      "similarity": 0
    }
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings